%define deftclver 8.4.5
%define tclver %(rpm -q tcl --queryformat '%%{version}' 2> /dev/null || echo %{deftclver})

#Module-Specific definitions
%define mod_version 3.5.0
%define release 2mdk
%define mod_name mod_websh
%define mod_conf 24_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Tcl scripting as a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	websh-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		%{mod_name}-register.patch.bz2
Patch1:		websh-3.5.0-tcl8.4.patch.bz2
License:	Apache License
URL:		http://tcl.apache.org/websh/
Prereq:		rpm-helper
Requires:	tcl = %{tclver}
BuildPrereq:	tcl = %{tclver}
Prereq:		tcl = %{tclver}
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Websh is a rapid development environment for building powerful,
fast, and reliable web applications. webshell is versatile and
handles everything from HTML generation to data-base driven
one-to-one page customization.

%prep

%setup -q -n websh-%{mod_version}
%patch0 -p0
%patch1 -p0

%build


cd src/unix
autoconf

%configure \
    --enable-shared \
    --enable-static \
    --enable-threads \
    --with-httpdinclude=%{_includedir}/apache2

make mod_websh.so

# fix %%ADVXinstlib compat
mkdir ../../.libs; mv mod_websh%{mod_version}.so ../../.libs/mod_websh.so

##############################################################################
# NOTE! As I don't know TCL, I don't have a clue how to use this
# module..., but anywhere here it is. The module may require
# other things I'm unaware of, please don't shoot me ;)
# -- 
# Regards // Oden Eriksson
# Deserve-IT Networks http://d-srv.com
##############################################################################

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc INSTALL README src/ChangeLog src/license.terms doc/html/* doc/quickref.xml
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.48_3.5.0-2mdk
- rebuilt against tcl-8.4.5

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_3.5.0-1mdk
- built for apache 2.0.48

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_3.5.0-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_3.5.0-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_3.5.0-1mdk
- rebuilt against tcl-8.4.2
- added P1
- cosmetic rebuild for apache v2.0.45 

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_3.5.0-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.5.0-6mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.5.0-5mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.5.0-4mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Tue Nov 05 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.5.0-3mdk
- update the url on request from the author
- fix the spec file to what it was before 2mdk, sorry about that.

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.5.0-2mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.5.0-1mdk
- used parts of the provided spec file
- added P0
- initial cooker contrib (first attempt to build this beast...)
- thanks to Simon Geard for the module tip!
